
Figure - Bug #114139
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH: om.android.deskclock
2022-11-25 14:50 - CD Test赵飞

Status: CLOSED Start date: 2022-11-25

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-16

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.deskclock (pid 2653)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Parameter specified as non-null is null: method

kotlin.jvm.internal.Intrinsics.checkNotNullParameter, parameter event

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/984:user/test-keys

// Build Changelist: 984

// Build Time: 1669227450000

// java.lang.NullPointerException: Parameter specified as non-null is null: method kotlin.jvm.internal.Intrinsics.checkNotNullParameter,

parameter event

//     at com.android.deskclock.LabelDialogFragment$ImeDoneListener.onEditorAction(Unknown Source:7)

//     at android.widget.TextView.onEditorAction(TextView.java:7149)

//     at com.android.internal.widget.EditableInputConnection.performEditorAction(EditableInputConnection.java:159)

//     at com.android.internal.view.IInputConnectionWrapper.executeMessage(IInputConnectionWrapper.java:577)

//     at com.android.internal.view.IInputConnectionWrapper$MyHandler.handleMessage(IInputConnectionWrapper.java:111)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 
【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_114139/Tlog.zip

History

#1 - 2022-11-25 14:56 - CD Test赵飞

- Description updated

#2 - 2022-12-05 17:39 - CD APP-王营

- Due date set to 2022-12-15

#3 - 2022-12-15 10:08 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2022-12-15 17:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170555 general/platform/packages/apps/Desk

Clock

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: DeskClock: Fix Monkey crash 1141391. Fix crash when edit label for alarm, if the label edittext is click the enter from keyboard.TC-RID:

1201-0300901IssueID: TS-R-BUG-114139Change-Id: I99c191d8811c5606ffc06e9c1c2d7541e273b375

#5 - 2022-12-15 17:07 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-16

- Root cause set to AOSP问题

■ Current conclusion

问题已解决待验证。

■ My analysis

Kotlin写法问题,方法中event参数需要加空判断。

override fun onEditorAction(v: TextView, actionId: Int, event: KeyEvent?): Boolean {}

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DeskClock/+/170555

1、创建一个闹钟。

2、编辑闹钟的标签，不输入内容直接点击键盘回车键，无crash发生。

#6 - 2022-12-19 10:49 - CD Test赵飞

- % Done changed from 100 to 70
12月16号DB版本未复现此问题

Monkey问题，继续跟踪2个版本

#7 - 2022-12-20 11:24 - CD Test赵飞

12月17号DB版本未复现此问题

Monkey问题，继续跟踪1个版本

#8 - 2022-12-22 11:23 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

12月21号DB版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#9 - 2022-12-22 11:24 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

2025-07-04 3/3


